Package org.opensaml.profile.action

# Class EventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.profile.action.EventException

All Implemented Interfaces:
  `Serializable`

public class EventException extends Exception
Runtime exception which may be used to communicate a specific event ID.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`eventID`
The event ID.
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`EventException(String event)`
Constructor.
`EventException(String event, String message)`
Constructor.
`EventException(String event, String message, Throwable cause)`
Constructor.
`EventException(String event, Throwable cause)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEventID()`
Get the event ID represented by this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

### eventID

@Nonnull private final String eventID
The event ID.

## Constructor Details

### EventException

public EventException(@Nonnull String event)
Constructor.

Parameters:
  `event` - the event ID

### EventException

public EventException(@Nonnull String event, @Nullable String message)
Constructor.

Parameters:
  `event` - the event ID
  `message` - the exception details message

### EventException

public EventException(@Nonnull String event, @Nullable Throwable cause)
Constructor.

Parameters:
  `event` - the event ID
  `cause` - the exception cause

### EventException

public EventException(@Nonnull String event, @Nullable String message, @Nullable Throwable cause)
Constructor.

Parameters:
  `event` - the event ID
  `message` - the exception details message
  `cause` - the exception cause

## Method Details

### getEventID

@Nonnull public String getEventID()
Get the event ID represented by this exception.

Returns:
  the event ID